Security update for rpm (moderate)

2018-10-24T15:11:26
ID OPENSUSE-SU-2018:3373-1
Type suse
Reporter Suse
Modified 2018-10-24T15:11:26

Description

This update for rpm fixes the following issues:

These security issues were fixed:

  • CVE-2017-7500: rpm did not properly handle RPM installations when a destination path was a symbolic link to a directory, possibly changing ownership and permissions of an arbitrary directory, and RPM files being placed in an arbitrary destination (bsc#943457).
  • CVE-2017-7501: rpm used temporary files with predictable names when installing an RPM. An attacker with ability to write in a directory where files will be installed could create symbolic links to an arbitrary location and modify content, and possibly permissions to arbitrary files, which could be used for denial of service or possibly privilege escalation (bsc#943457)

This non-security issue was fixed:

  • Use ksym-provides tool [bsc#1077692]

This update was imported from the SUSE:SLE-12:Update update project.